Gnome2::VFS::Async::Handle(3)

NAME
Gnome2::VFS::Async::Handle

METHODS

  $handle->cancel

  $handle->close ($func, $data=undef)

•   $func (scalar)

•   $data (scalar)

  $handle->read ($bytes, $func, $data=undef)

•   $bytes (integer)

•   $func (scalar)

•   $data (scalar)

  $handle->seek ($whence, $offset, $func, $data=undef)

•   $whence (Gnome2::VFS::SeekPosition)

•   $offset (unsigned)

•   $func (scalar)

•   $data (scalar)

Since: vfs 2.6

  $handle->write ($buffer, $bytes, $func, $data=undef)

•   $buffer (string)

•   $bytes (integer)

•   $func (scalar)

•   $data (scalar)

ENUMS AND FLAGS

  enum Gnome2::VFS::SeekPosition

•   'start' / 'GNOME_VFS_SEEK_START'

•   'current' / 'GNOME_VFS_SEEK_CURRENT'

•   'end' / 'GNOME_VFS_SEEK_END'

SEE ALSO
Gnome2::VFS

COPYRIGHT
Copyright (C) 2003-2007, 2013 by the gtk2-perl team.

This software is licensed under the LGPL. See Gnome2::VFS for a full notice.